> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ibee.co.in/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/docs/_mcp/server.

# Permanently delete secret

DELETE https://api.ibee.co.in/v1/secret-store/secrets/{secret_id}/permanent

Irreversibly deletes all versions and metadata for a secret. Requires scope: secret-store.write.

Reference: https://docs.ibee.co.in/docs/api-reference/secret-store/permanently-delete-secret

## Authentication

- `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment.

## Servers

- `https://api.ibee.co.in/v1` (Production, default)
- `https://api.ibee.co.in/v1` (Development)

## Request

### Path parameters

- `secret_id` (string, required) — Secret ID.

### Query parameters

- `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

## Response

### 200

Secret permanently deleted.

- `status` (enum, required)
  - Allowed values: `destroyed`, `permanently_deleted`

## Errors

### 401 Unauthorized Error

The API token is missing or invalid.

- `detail` (ErrorDetail, optional)

### 403 Forbidden Error

The token is not allowed to access the workspace or does not have the required scope.

- `detail` (ErrorDetail, optional)

### 404 Not Found Error

The requested resource was not found.

- `detail` (ErrorDetail, optional)

## Types

### ErrorDetail

## Examples

**Response**

```json
{
  "status": "destroyed"
}
```

**SDK Code**

```python
import requests

url = "https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent"

querystring = {"workspace_id":"710995"}

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/permanent?workspace_id=710995")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```